/*

    Data automatically generated from recode output:

        'recode -lf "IBM868" 2>/dev/null'


    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111 USA

*/

#ifndef ibm868_h
#define ibm868_h

#define cet_cs_name_ibm868 "IBM868"

const char *cet_cs_alias_ibm868[] = 
{
	"IBM868", "868", "CP868", "cp-ar",
	NULL
};

#define cet_ucs4_ofs_ibm868 128
#define cet_ucs4_cnt_ibm868 128

const int cet_ucs4_map_ibm868[cet_ucs4_cnt_ibm868] =
{
	0x0660, 0x0661, 0x0662, 0x0663, 0x0664, 0x0665, 0x0666, 0x0667, 
	0x0668, 0x0669, 0x060c, 0x061b, 0x061f, 0x0622, 0x0627, 0xfe8e, 
	0xe016, 0x0628, 0xfe91, 0x067e,     -1, 0x0629, 0x062a, 0xfe97, 
	    -1,     -1, 0x062b, 0xfe9b, 0x062c, 0xfe9f,     -1,     -1, 
	0x062d, 0xfea3, 0x062e, 0xfea7, 0x062f,     -1, 0x0630, 0x0631, 
	    -1, 0x0632,     -1, 0x0633, 0xfeb3, 0x0634, 0x00ab, 0x00bb, 
	0xfeb7, 0x0635, 0x2591, 0x2592, 0x2593, 0x2502, 0x2524, 0xfebb, 
	0x0636, 0xfebf, 0x0637, 0x2563, 0x2551, 0x2557, 0x255d, 0x0638, 
	0x0639, 0x2510, 0x2514, 0x2534, 0x252c, 0x251c, 0x2500, 0x253c, 
	0xfeca, 0xfecb, 0x255a, 0x2554, 0x2569, 0x2566, 0x2560, 0x2550, 
	0x256c, 0xfecc, 0x063a, 0xfece, 0xfecf, 0xfed0, 0x0641, 0xfed3, 
	0x0642, 0xfed7, 0xfeda, 0x2518, 0x250c, 0x2588, 0x2580, 0xfedb, 
	    -1, 0x2584,     -1, 0x0644, 0xfede, 0xfee0, 0x0645, 0xfee3, 
	    -1, 0x0646, 0xfee7,     -1, 0x0648,     -1,     -1,     -1, 
	    -1, 0x0621, 0x00ad,     -1,     -1,     -1,     -1,     -1, 
	    -1,     -1,     -1, 0x0651, 0xfe7d,     -1, 0x25a0, 0x00a0
};

#define cet_ucs4_to_ibm868_ct 103

const cet_ucs4_link_t cet_ucs4_to_ibm868_links[cet_ucs4_to_ibm868_ct] =
{
	 {0x00a0, 0xff} /* space */,
	 {0x00ab, 0xae} /* double angle quotation mark */,
	 {0x00ad, 0xf2} /* hyphen */,
	 {0x00bb, 0xaf} /* double angle quotation mark */,
	 {0x060c, 0x8a} /* comma */,
	 {0x061b, 0x8b} /* semicolon */,
	 {0x061f, 0x8c} /* question mark */,
	 {0x0621, 0xf1} /* letter hamza */,
	 {0x0622, 0x8d} /* letter alef with madda above */,
	 {0x0627, 0x8e} /* letter alef */,
	 {0x0628, 0x91} /* letter beh */,
	 {0x0629, 0x95} /* letter teh marbuta */,
	 {0x062a, 0x96} /* letter teh */,
	 {0x062b, 0x9a} /* letter theh */,
	 {0x062c, 0x9c} /* letter jeem */,
	 {0x062d, 0xa0} /* letter hah */,
	 {0x062e, 0xa2} /* letter khah */,
	 {0x062f, 0xa4} /* letter dal */,
	 {0x0630, 0xa6} /* letter thal */,
	 {0x0631, 0xa7} /* letter reh */,
	 {0x0632, 0xa9} /* letter zain */,
	 {0x0633, 0xab} /* letter seen */,
	 {0x0634, 0xad} /* letter sheen */,
	 {0x0635, 0xb1} /* letter sad */,
	 {0x0636, 0xb8} /* letter dad */,
	 {0x0637, 0xba} /* letter tah */,
	 {0x0638, 0xbf} /* letter zah */,
	 {0x0639, 0xc0} /* letter ain */,
	 {0x063a, 0xd2} /* letter ghain */,
	 {0x0641, 0xd6} /* letter feh */,
	 {0x0642, 0xd8} /* letter qaf */,
	 {0x0644, 0xe3} /* letter lam */,
	 {0x0645, 0xe6} /* letter meem */,
	 {0x0646, 0xe9} /* letter noon */,
	 {0x0648, 0xec} /* letter waw */,
	 {0x0651, 0xfb} /* shadda */,
	 {0x0660, 0x80} /* arabic-indic digit zero */,
	 {0x0661, 0x81} /* arabic-indic digit one */,
	 {0x0662, 0x82} /* arabic-indic digit two */,
	 {0x0663, 0x83} /* arabic-indic digit three */,
	 {0x0664, 0x84} /* arabic-indic digit four */,
	 {0x0665, 0x85} /* arabic-indic digit five */,
	 {0x0666, 0x86} /* arabic-indic digit six */,
	 {0x0667, 0x87} /* arabic-indic digit seven */,
	 {0x0668, 0x88} /* arabic-indic digit eight */,
	 {0x0669, 0x89} /* arabic-indic digit nine */,
	 {0x067e, 0x93} /* letter peh */,
	 {0x2500, 0xc6} /* drawings light horizontal */,
	 {0x2502, 0xb5} /* drawings light vertical */,
	 {0x250c, 0xdc} /* drawings light down and right */,
	 {0x2510, 0xc1} /* drawings light down and left */,
	 {0x2514, 0xc2} /* drawings light up and right */,
	 {0x2518, 0xdb} /* drawings light up and left */,
	 {0x251c, 0xc5} /* drawings light vertical and right */,
	 {0x2524, 0xb6} /* drawings light vertical and left */,
	 {0x252c, 0xc4} /* drawings light down and horizontal */,
	 {0x2534, 0xc3} /* drawings light up and horizontal */,
	 {0x253c, 0xc7} /* drawings light vertical and horizontal */,
	 {0x2550, 0xcf} /* drawings heavy horizontal */,
	 {0x2551, 0xbc} /* drawings heavy vertical */,
	 {0x2554, 0xcb} /* drawings heavy down and right */,
	 {0x2557, 0xbd} /* drawings heavy down and left */,
	 {0x255a, 0xca} /* drawings heavy up and right */,
	 {0x255d, 0xbe} /* drawings heavy up and left */,
	 {0x2560, 0xce} /* drawings heavy vertical and right */,
	 {0x2563, 0xbb} /* drawings heavy vertical and left */,
	 {0x2566, 0xcd} /* drawings heavy down and horizontal */,
	 {0x2569, 0xcc} /* drawings heavy up and horizontal */,
	 {0x256c, 0xd0} /* drawings heavy vertical and horizontal */,
	 {0x2580, 0xde} /* half block */,
	 {0x2584, 0xe1} /* half block */,
	 {0x2588, 0xdd} /* block */,
	 {0x2591, 0xb2} /* shade */,
	 {0x2592, 0xb3} /* shade */,
	 {0x2593, 0xb4} /* shade */,
	 {0x25a0, 0xfe} /* square */,
	 {0xe016, 0x90} /* letter alef final form compatibility (ibm868 144) */,
	 {0xfe7d, 0xfc} /* shadda medial form */,
	 {0xfe8e, 0x8f} /* letter alef final form */,
	 {0xfe91, 0x92} /* letter beh initial form */,
	 {0xfe97, 0x97} /* letter teh initial form */,
	 {0xfe9b, 0x9b} /* letter theh initial form */,
	 {0xfe9f, 0x9d} /* letter jeem initial form */,
	 {0xfea3, 0xa1} /* letter hah initial form */,
	 {0xfea7, 0xa3} /* letter khah initial form */,
	 {0xfeb3, 0xac} /* letter seen initial form */,
	 {0xfeb7, 0xb0} /* letter sheen initial form */,
	 {0xfebb, 0xb7} /* letter sad initial form */,
	 {0xfebf, 0xb9} /* letter dad initial form */,
	 {0xfeca, 0xc8} /* letter ain final form */,
	 {0xfecb, 0xc9} /* letter ain initial form */,
	 {0xfecc, 0xd1} /* letter ain medial form */,
	 {0xfece, 0xd3} /* letter ghain final form */,
	 {0xfecf, 0xd4} /* letter ghain initial form */,
	 {0xfed0, 0xd5} /* letter ghain medial form */,
	 {0xfed3, 0xd7} /* letter feh initial form */,
	 {0xfed7, 0xd9} /* letter qaf initial form */,
	 {0xfeda, 0xda} /* letter kaf final form */,
	 {0xfedb, 0xdf} /* letter kaf initial form */,
	 {0xfede, 0xe4} /* letter lam final form */,
	 {0xfee0, 0xe5} /* letter lam medial form */,
	 {0xfee3, 0xe7} /* letter meem initial form */,
	 {0xfee7, 0xea} /* letter noon initial form */
};

/*
#define cet_ucs4_to_ibm868_extra_ct 0
const cet_ucs4_link_t cet_ucs4_to_ibm868_extra[cet_ucs4_to_ibm868_extra_ct] = {};
*/

cet_cs_vec_t cet_cs_vec_ibm868 =	/* defined in cet.h */
{	
	cet_cs_name_ibm868,		/* name of character set	*/
	cet_cs_alias_ibm868,		/* alias table			*/

	NULL,				/* ... to UCS-4 converter (multi-byte) */
	NULL,				/* UCS-4 to ... converter (multi-byte) */

	cet_ucs4_map_ibm868,		/* char to UCS-4 value table	*/
	cet_ucs4_ofs_ibm868,		/* first non standard character	*/
	cet_ucs4_cnt_ibm868,		/* number of values in table	*/

	cet_ucs4_to_ibm868_links,	/* UCS-4 to char links		*/
	cet_ucs4_to_ibm868_ct,		/* number of links		*/

	NULL,				/* hand made UCS-4 links	*/
	0,				/* number of extra links	*/

	NULL	/* for internal use */
};


/*
const int ibm868_ucs4_full_map[] =
{
	0x0000, 0x0001, 0x0002, 0x0003, 0x0004, 0x0005, 0x0006, 0x0007, 
	0x0008, 0x0009, 0x000a, 0x000b, 0x000c, 0x000d, 0x000e, 0x000f, 
	0x0010, 0x0011, 0x0012, 0x0013, 0x0014, 0x0015, 0x0016, 0x0017, 
	0x0018, 0x0019, 0x001a, 0x001b, 0x001c, 0x001d, 0x001e, 0x001f, 
	0x0020, 0x0021, 0x0022, 0x0023, 0x0024, 0x0025, 0x0026, 0x0027, 
	0x0028, 0x0029, 0x002a, 0x002b, 0x002c, 0x002d, 0x002e, 0x002f, 
	0x0030, 0x0031, 0x0032, 0x0033, 0x0034, 0x0035, 0x0036, 0x0037, 
	0x0038, 0x0039, 0x003a, 0x003b, 0x003c, 0x003d, 0x003e, 0x003f, 
	0x0040, 0x0041, 0x0042, 0x0043, 0x0044, 0x0045, 0x0046, 0x0047, 
	0x0048, 0x0049, 0x004a, 0x004b, 0x004c, 0x004d, 0x004e, 0x004f, 
	0x0050, 0x0051, 0x0052, 0x0053, 0x0054, 0x0055, 0x0056, 0x0057, 
	0x0058, 0x0059, 0x005a, 0x005b, 0x005c, 0x005d, 0x005e, 0x005f, 
	0x0060, 0x0061, 0x0062, 0x0063, 0x0064, 0x0065, 0x0066, 0x0067, 
	0x0068, 0x0069, 0x006a, 0x006b, 0x006c, 0x006d, 0x006e, 0x006f, 
	0x0070, 0x0071, 0x0072, 0x0073, 0x0074, 0x0075, 0x0076, 0x0077, 
	0x0078, 0x0079, 0x007a, 0x007b, 0x007c, 0x007d, 0x007e, 0x007f, 
	0x0660, 0x0661, 0x0662, 0x0663, 0x0664, 0x0665, 0x0666, 0x0667, 
	0x0668, 0x0669, 0x060c, 0x061b, 0x061f, 0x0622, 0x0627, 0xfe8e, 
	0xe016, 0x0628, 0xfe91, 0x067e,     -1, 0x0629, 0x062a, 0xfe97, 
	    -1,     -1, 0x062b, 0xfe9b, 0x062c, 0xfe9f,     -1,     -1, 
	0x062d, 0xfea3, 0x062e, 0xfea7, 0x062f,     -1, 0x0630, 0x0631, 
	    -1, 0x0632,     -1, 0x0633, 0xfeb3, 0x0634, 0x00ab, 0x00bb, 
	0xfeb7, 0x0635, 0x2591, 0x2592, 0x2593, 0x2502, 0x2524, 0xfebb, 
	0x0636, 0xfebf, 0x0637, 0x2563, 0x2551, 0x2557, 0x255d, 0x0638, 
	0x0639, 0x2510, 0x2514, 0x2534, 0x252c, 0x251c, 0x2500, 0x253c, 
	0xfeca, 0xfecb, 0x255a, 0x2554, 0x2569, 0x2566, 0x2560, 0x2550, 
	0x256c, 0xfecc, 0x063a, 0xfece, 0xfecf, 0xfed0, 0x0641, 0xfed3, 
	0x0642, 0xfed7, 0xfeda, 0x2518, 0x250c, 0x2588, 0x2580, 0xfedb, 
	    -1, 0x2584,     -1, 0x0644, 0xfede, 0xfee0, 0x0645, 0xfee3, 
	    -1, 0x0646, 0xfee7,     -1, 0x0648,     -1,     -1,     -1, 
	    -1, 0x0621, 0x00ad,     -1,     -1,     -1,     -1,     -1, 
	    -1,     -1,     -1, 0x0651, 0xfe7d,     -1, 0x25a0, 0x00a0
};
*/

#endif
